Class | Tk::Tcllib::Plotchart::Barchart
In: | tk/lib/tkextlib/tcllib/plotchart.rb
Parent: | TkCanvas

### Methods

__destroy_hook__ color colors colour colours new plot

### Included Modules

ChartMethod

### Constants

TkCommandNames | = | [ 'canvas'.freeze, '::Plotchart::createBarchart'.freeze

### Public Class methods

new(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 599
        def initialize(*args)
          # args := ([parent,] xlabels, ylabels [, series] [, keys])
          # xlabels, ylabels := labels | axis ( depend on normal or horizontal )
          # labels := Array of [label, label, ...]
          #   (It determines the number of bars that will be plotted per series.)
          # axis := Array of [minimum, maximum, stepsize]
          # series := Integer number of data series | 'stacked' | :stacked
          if args[0].kind_of?(Array)
            @xlabels = args.shift
            @ylabels  = args.shift

            if args[0].kind_of?(Hash)
              @series_size = :stacked
            else
              @series_size  = args.shift
            end

            super(*args) # create canvas widget
          else
            parent = args.shift

            @xlabels = args.shift
            @ylabels = args.shift

            if args[0].kind_of?(Hash)
              @series_size = :stacked
            else
              @series_size  = args.shift
            end

            if parent.kind_of?(TkCanvas)
              @path = parent.path
            else
              super(parent, *args) # create canvas widget
            end
          end

          @chart = _create_chart
        end

### Public Instance methods

__destroy_hook__()

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 647
        def __destroy_hook__
          Tk::Tcllib::Plotchart::PlotSeries::SeriesID_TBL.delete(@path)
        end

color(*cols)

Alias for colours

colors(*cols)

Alias for colours

colour(*cols)

Alias for colours

colours(*cols)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 656
        def colours(*cols)
          # set the colours to be used
          tk_call_without_enc(@chart, 'colours', *cols)
          self
        end

plot(series, dat, col=None)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 651
        def plot(series, dat, col=None)
          tk_call_without_enc(@chart, 'plot', series, dat, col)
          self
        end

[Validate]